# PATCH /voice-directives/:directive_id

**Resource:** [VOICE_CALL_DIRECTIVES](./voice-call-directives.md)  
**MCP tool:** `update_voice_call_directive`  
**Scopes:** `voice-directives:write`  
**Write operation:** yes

Update a call directive (enable/disable, priority, config).

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `directive_id` | path | string | yes |  |
| `enabled` | body | boolean | no |  |
| `priority` | body | number | no |  |
| `config` | body | object | no |  |

## Request example

```bash
curl -X PATCH   "https://api.trustpager.com/functions/v1/api/v1/voice-directives/:directive_id"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"enabled":"...","priority":"...","config":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`